#ifndef INITIALSURFACEPLACEMENTSTRATEGY_H
#define INITIALSURFACEPLACEMENTSTRATEGY_H

#include <memory>
#include "mir/shell/placement_strategy.h"
#include "mir/graphics/display.h"

class InitialSurfacePlacementStrategy : public mir::shell::PlacementStrategy
{
public:
    InitialSurfacePlacementStrategy(std::shared_ptr<mir::graphics::Display> const& display_area);

    mir::shell::SurfaceCreationParameters place(mir::shell::SurfaceCreationParameters const& request_parameters) override;

private:
    std::shared_ptr<mir::graphics::Display> const display_area;
};

#endif // INITIALSURFACEPLACEMENTSTRATEGY_H
