#ifndef QMIRSERVER_H
#define QMIRSERVER_H

#include <functional>

#include <QObject>

#include "shellserverconfiguration.h"

class QMirServer: public QObject
{
    Q_OBJECT

public:
    QMirServer(int argc, const char *argv[], QObject* parent=0);
    ~QMirServer();

    int runWithClient(std::function<int(int, const char**, ShellServerConfiguration*)>);

private:
    int m_argc;
    const char** m_argv;
    Q_DISABLE_COPY(QMirServer)
};

#endif // QMIRSERVER_H
