#-------------------------------------------------
#
# Project created by QtCreator 2013-06-24T21:49:42
#
#-------------------------------------------------

QT       += core quick
CONFIG   += debug

TARGET = unity-mir
TEMPLATE = lib

# CONFIG += c++11 # only enables C++0x
QMAKE_CXXFLAGS = -std=c++11
QMAKE_LFLAGS = -std=c++11

INCLUDEPATH += /usr/include/mircommon \
    /usr/include/mirserver

LIBS += -lmirserver -lubuntu_application_api_mirserver

DEFINES += UNITYMIR_LIBRARY

SOURCES += qmirserver.cpp \
    application_manager.cpp \
    mirsurface.cpp \
    initialsurfaceplacementstrategy.cpp \
    mirsurfacemanager.cpp \
    application.cpp \
    application_list_model.cpp \
    desktopfilereader.cpp \
#    sessionauthorizer.cpp
    sessionlistener.cpp \
    shellserverconfiguration.cpp \
    surfacesource.cpp

HEADERS += qmirserver.h\
    application_manager.h \
    mirsurface.h \
    initialsurfaceplacementstrategy.h \
    mirsurfacemanager.h \
    application.h \
    application_list_model.h \
    desktopfilereader.h \
#    sessionauthorizer.h
    sessionlistener.h \
    shellserverconfiguration.h \
    surfacesource.h

target.path = /usr/lib

INSTALLS += target
